Use one xml schema per entity type 

2011-01-24 19:05 - Andrey Bruggemann

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Would be better if find (GET) and create/update (POST/PUT) methods use the same xml schema, for each entity type.

For example, the xml schema for issue creation are:

<issue>

  <subject>Example</subject>

  <project_id>1</project_id>

  <priority_id>4</priority_id>

</issue>

But should be:

<issue>

  <subject>Example</subject>

  <project>

    <id>1</id>

  </project>

  <priority>

    <id>4</id>

  </priority>

</issue>

History

#1 - 2013-04-14 02:28 - Filou Centrinov

Category: REST API

Status: Feedback / Closed

The REST API for issues has been improved. It was't implemented as you proposed, but I think the current version could satisfy you. Can we close

this issue?

#2 - 2013-04-14 10:20 - Toshi MARUYAMA

- Category set to REST API

- Status changed from New to Needs feedback

#3 - 2015-08-23 17:23 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
